<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5" />
  </startup>
  <appSettings>
    <add key="ClientBaseAddress" value="http://login.gib.service.elpo.com.tr" />
    <add key="Constr" value="Data Source=SBSNET\S17;Initial Catalog=Ent_SBSNET18;User ID=Sbs_Net;Password=!Sbs_Net!95;" />
  </appSettings>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="DespatchBasic" />
        <binding name="EInvoiceBasic" maxReceivedMessageSize="65536998" />
        <binding name="EArchiveBasic" maxReceivedMessageSize="2147483647" />
        <binding name="EInvoiceBasic1" />
      </basicHttpBinding>
      <wsHttpBinding>
        <binding name="Despatch" closeTimeout="00:10:00" openTimeout="00:10:00" sendTimeout="00:10:00" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="EInvoice" maxReceivedMessageSize="2147483647" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="EArchive" maxReceivedMessageSize="2147483647" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="EInvoice1" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
      </wsHttpBinding>
      <basicHttpsBinding>
        <binding name="IntegrationServiceSoap" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" maxBufferPoolSize="524288" maxReceivedMessageSize="65536998" />
      </basicHttpsBinding>
    </bindings>
    <client>
      <endpoint address="https://netdespatchintegrationwithoutmtomtest.eveelektronik.com.tr/IntegrationService.asmx" binding="basicHttpsBinding" bindingConfiguration="IntegrationServiceSoap" contract="DTPIntegrationDespatch.IntegrationServiceSoap" name="IntegrationServiceSoap" />
      <endpoint address="http://despatchtest.gib.service.elpo.com.tr/IntegrationDespatchService.svc" binding="wsHttpBinding" bindingConfiguration="Despatch" contract="IntegrationDespatch.IIntegrationDespatchService" name="Despatch" />
      <endpoint address="http://despatchtest.gib.service.elpo.com.tr/IntegrationDespatchService.svc/basic" binding="basicHttpBinding" bindingConfiguration="DespatchBasic" contract="IntegrationDespatch.IIntegrationDespatchService" name="DespatchBasic" />
      <endpoint address="http://earchive.gib.service.elpo.com.tr/IntegrationEArchiveService.svc" binding="wsHttpBinding" bindingConfiguration="EArchive" contract="IntegrationEArchiveService.IIntegrationEArchiveService" name="EArchive" />
      <endpoint address="http://earchive.gib.service.elpo.com.tr/IntegrationEArchiveService.svc/basic" binding="basicHttpBinding" bindingConfiguration="EArchiveBasic" contract="IntegrationEArchiveService.IIntegrationEArchiveService" name="EArchiveBasic" />
      <endpoint address="http://invoice.gib.service.elpo.com.tr/IntegrationInvoiceService.svc" binding="wsHttpBinding" bindingConfiguration="EInvoice" contract="IntecrationInvoice.IIntegrationInvoiceService" name="EInvoice" />
      <endpoint address="http://invoice.gib.service.elpo.com.tr/IntegrationInvoiceService.svc/basic" binding="basicHttpBinding" bindingConfiguration="EInvoiceBasic" contract="IntecrationInvoice.IIntegrationInvoiceService" name="EInvoiceBasic" />
    </client>
  </system.serviceModel>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" culture="neutral" publicKeyToken="30ad4fe6b2a6aeed" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <connectionStrings>
    <add name="DefaultConnection" connectionString="Data Source = |SQL/CE|" />
  </connectionStrings>
</configuration>